TULISAN - Feature #3972

Reminder Dashboard — Document Approval List & Summary Cards
10/28/2025 11:06 AM - Mr Dhafin

Status: Assigned Start date: 10/28/2025
Priority: High Due date: 10/30/2025
Assignee: mabhlil .. % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Tampilan dashboard digunakan untuk menampilkan ringkasan jumlah dokumen yang membutuhkan approval, serta daftar dokumen
dengan status approval-nya.

1. Buat halaman Reminder Dashboard di modul Purchasing sesuai layout yang disediakan.

2. Tambahkan empat summary card di bagian atas dengan data berikut:
* New Applications: 300 (ikon folder, warna biru 3B82F6)

» Pending Approval: 150 (ikon loading, warna oranye F59EOB)

* Accepted: 100 (ikon check, warna hijau 10B981)

* Rejected: 50 (ikon stop, warna merah EF4444)

3. Tampilkan tabel Document Approval di bawah summary card dengan kolom:
* No

» Document Number

* Document Type

* Document Date

» Document Status

* Description

» Action (ikon untuk Tracking & Prosess)

4. Tambahkan filter di atas tabel:
* Dropdown Document Type

» Date Range (From —To)

* Dropdown Status

5. Aktifkan pagination dengan tombol Previous, Next, dan nomor halaman (25 data per halaman).
6. Urutan default data berdasarkan Document Date (terbaru di atas).

7. Default status tampilan awal adalah “Draft”.

8. Pastikan semua ikon berfungsi sesuai aksi (contoh: view detail atau edit).

9. Gunakan tema dan warna yang konsisten dengan desain utama.

10. Tampilkan pesan “No document found in this period.” jika data kosong.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (103.153.60.89)

History

#1 - 10/28/2025 11:06 AM - Mr Dhafin

- Status changed from New to Assigned

#2 - 10/28/2025 11:15 AM - Mr Dhafin
- Assignee changed from haykal haykal to mahlil ..

#3 - 10/28/2025 11:46 AM - Mr Dhafin

- File Reminder Dashboard.pdf added

Revisi

Tambahkan empat summary card di bagian atas dengan data berikut:

+ Submit: 300 (ikon folder, warna biru 3B82F6) -> DocStatus yang Submit
* Approved: 150 (ikon loading, warna oranye 10B981) -> DocStatus yang Approved
« Revise: 100 (ikon check, warna hijau F59E0B) -> DocStatus yang Revise
« Cancel: 50 (ikon stop, warna merah EF4444) -> DocStatus yang Cancel

#4 - 10/28/2025 12:10 PM - haykal haykal

Revisi ya.
Itu yg summary card Submit tolong namanya diganti menjadi Need to be Approved

Terimakasih.

#5 - 10/28/2025 01:48 PM - Mr Dhafin
- File deleted (Reminder Dashboard.pdf)

#6 - 10/28/2025 01:49 PM - Mr Dhafin
- File Reminder Dashboard.pdf added

#7 - 10/28/2025 02:14 PM - Mr Dhafin
- File clipboard-202510281413-o0jyoh.png added

Berikut penambahan untuk Pop Up Tracking Document ya mas

Reminder Dashboard

Need to be Approved Approved Revise Cancel
300 1150 @ 100 50 S
Document Approvul [ Document Type v ] From [ Salect Date E] Ta [ Salect Date EJ | status v |
No  Document Number Document Type Document Date Document Status Description
1 PO-2025-001 Purchase Order 02 Oct 2025 Draft Office stationery @ @
2 P o)
3 . o
Tracking Document 2 j
a P &)
o PO-203 Seq DocType DocNo Description Date Status User 9 :73
6  PO-203 DS
7 PO-202 1 Purchase Requisition 00000056 Permintaan pembelian ATK (Kertas Ad) 27 0ct 2025 Approve lkrnal 9 (la
8 PO-207 P a
2 Purchase Order 00000056 PO untuk pembelian kertas Ad 290ct 2025  Approve lkrnal
9 PO-202 > &9
10 po-204 3 Goods Recaipt 00000056 Barang diterima 45 dati 50 fim (partial) 30 0ct 20256 Approve kenal 3 a
1 Po-202 > &9
12 PO-202h S 5 &)
13 PO-2025-013 Purchase Order 14 Oct 2025 Draft Company uniforms @ @
14 PO-2025-014 Purchase Order 15 Oct 2025 Draft Microsoft 365 license () &)
15 PC-2025-015 Purchase Order 16 Oct 2025 Draft CCTV cameras @ ('a

Untuk lebih jelasnya bisa dilihat dari prototypenya ya mas

https://www.figma.com/proto/E9kDfOy93yF8meZJf6lu91/Dhafin-Riando-s-team-library?node-id=828-4273&t=2VHWX4Shw9GPmMWYK-1

#8 - 10/28/2025 03:23 PM - haykal haykal

Dokumen yg akan muncul disini adalah 3 dokumen berbeda; yaitu Purchase Order, Goods Receipt, dan Stock Transfer
Di widget ini tolong yg ditampilkan hanya yg document statusnya Submit.

Purchase Order

Tabel: PTRPURCHHEAD

DocType: PO

DocStatus = 5 (Submit)

Recei
Tabel: PTRMATERIALHEAD
DocType: RCSP
DocStatus = 2 (Submit)

Stock Transfer

Tabel: PTRMATERIALHEADINTERNAL
DocType: INTR

DocStatus = 2 (Submit)
